package org.ow2.petals.bc.filetransfer.service;

import java.util.logging.Logger;

import org.ow2.petals.component.framework.api.Component;
import org.ow2.petals.component.framework.api.configuration.ConfigurationExtensions;

public class SetFileService extends AbstractSetOperationService {
    public SetFileService(ConfigurationExtensions extensions, Logger logger, Component component) {
        super(extensions, logger, component);
    }

    /**
     * Add nothing to the filename
     * 
     * @param filename The original file name
     * @return the same filename
     */
    @Override
    protected String refactorFileName(String fileName) {
        return fileName;
    }
}
